{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uRecibosClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorRecibosCliente, uEditorReciboCliente, uEditorElegirRecibosCliente,
  uEditorReciboClienteReport, uEditorFechaPago;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorFechaPago, 'EditorFechaPago');
  EditorRegistry.RegisterClass(TfEditorRecibosCliente, 'EditorRecibosCliente');
  EditorRegistry.RegisterClass(TfEditorReciboCliente, 'EditorReciboCliente');
  EditorRegistry.RegisterClass(TfEditorElegirRecibosCliente, 'EditorElegirRecibosCliente');
  EditorRegistry.RegisterClass(TfEditorReciboClientePreview, 'EditorRecibosClientePreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorFechaPago);
  EditorRegistry.UnRegisterClass(TfEditorRecibosCliente);
  EditorRegistry.UnRegisterClass(TfEditorReciboCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirRecibosCliente);
  EditorRegistry.UnRegisterClass(TfEditorReciboClientePreview);
end;

end.
